<!DOCTYPE HTML>
<html>
    <head>
        <meta charset="utf-8">
        <meta name="viewport" content="width=device-width, initial-scale=1">
        <title>Activity: CSS Introduction</title>

        <link rel="stylesheet" type="text/css" href="index.css">

        <!-- Apply internal styling to a paragraph tag. -->
        <style>
            #second-p {
                color: orange;
            }
        </style>

    </head>
    <body>

        <!-- Different ways to include CSS -->
        <!--  Apply inline styling to a paragraph tag. -->
        <p style="color: red;">Apply inline styling here.</p>
        <!-- Apply internal styling to a paragraph tag. -->
        <p id="second-p">Apply internal styling here.</p>
        <!-- Apply an external styling to a paragraph tag -->
        <p id="third-p">Apply external styling here.</p>

        <!-- CSS Selectors -->
        <h1>CSS Introduction Activity</h1>

        <h2 id="thing-you-learn">The following are things you will learn in this bootcamp:</h2>

        <h3>Languages to be Learned</h3>
        <ol>
            <li class="tools">Hypertext Markup Language</li>
            <li class="tools">Cascading Style Sheet</li>
            <li class="tools">JavaScript</li>
        </ol>

        <h3>Tools to be Used</h3>
        <ol>
            <li name="tools-to-be-used">Sublime Text</li>
            <li name="tools-to-be-used">Postman</li>
            <li name="tools-to-be-used">Heroku</li>
            <li name="tools-to-be-used">GitLab</li>
        </ol>

        <!-- Combinator Selectors -->
        <section>
            <h4>Other Things to be Learned</h4>
            <img src="https://upload.wikimedia.org/wikipedia/commons/thumb/9/99/Unofficial_JavaScript_logo_2.svg/480px-Unofficial_JavaScript_logo_2.svg.png">
            <ul>
                <li>Node.js</li>
                <li>Express.js</li>
                <li>React.js</li>
                <li>MongoDB</li>
            </ul>
            <p>Web development is a continuous process. Never stop learning and always look for ways to innovate.</p>
        </section>

    </body>
</html>